<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="AREA_MASK.html"><font color="#008000">AREA_MASK</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Mask Window Clipping."</font>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong>     := <font color="#A020F0">2</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_area</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="AREA.html"><font color="#008000">AREA</font></a>;
    
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">mask</font></strong>:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a>]];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">clear_mask</font></strong> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> father:<a href="AREA.html"><font color="#008000">AREA</font></a> <strong><font color="#0000FF">from</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">size</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">resize</font></strong> (lx,ly:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Master display</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> (Build mask)</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pixel_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">image</font></strong> line:<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Slave display</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> (Use Mask)</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_pixel_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">slave_line_h_hard</font></strong> (x1,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x2:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">image</font></strong> line:<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">mask_draw</font></strong> (x0,y0:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">to</font></strong> (x1,y1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
</body>
</html>

